[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Ovirt-devel] [PATCH node] RESEND: prevent hostvg and sharedroot from accepting same drive input



resending after rebase
---
 scripts/ovirt-config-storage |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/scripts/ovirt-config-storage b/scripts/ovirt-config-storage
index df36752..10c33fa 100755
--- a/scripts/ovirt-config-storage
+++ b/scripts/ovirt-config-storage
@@ -376,7 +376,19 @@ do_configure()
 EOF
 
         printf "\n\nPlease select the disk to use for the HostVG.\n\n"
-        HOSTVGDRIVE=$(get_dev_name) || return 0
+        while true; do
+            HOSTVGDRIVE=$(get_dev_name) || return 0
+            if [ "$OVIRT_SHARED_ROOT" == "y" ]; then
+                if [ "$ROOTDRIVE" == "$HOSTVGDRIVE" ]; then
+                    printf "\n\nRoot Drive and HostVG drive must be different when shared\n\n"
+                    return 1
+                else
+                    break;
+                fi
+            fi
+            break;
+        done
+
         local skipped=false
         if check_existing_hostvg "$HOSTVGDRIVE" devs; then
             for dev in $devs
-- 
1.6.6.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]